List of steps for Messenger Lead Gen Experience
GET /v24.0/{messenger-ads-partial-automated-step-list-id} HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{messenger-ads-partial-automated-step-list-id}',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{messenger-ads-partial-automated-step-list-id}",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{messenger-ads-partial-automated-step-list-id}",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{messenger-ads-partial-automated-step-list-id}"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];| Field | Description |
|---|---|
idnumeric string | The id of the object |
first_step_idnumeric string | First step in Messenger Lead Gen Experience |
page | Page which owns the Messenger Lead Gen |
privacy_urlstring | Privacy URL for the Messenger Lead Gen Experience |
reminder_textstring | Reminder text sent to user after inactivity |
stop_question_messagestring | Confirmation message after user clicks on the Stop Question option in persistent menu |
| Edge | Description |
|---|---|
Edge<MessengerAdsPartialAutomatedStep> | steps |
| Error | Description |
|---|---|
| 368 | The action attempted has been deemed abusive or is otherwise disallowed |
| 100 | Invalid parameter |
| 190 | Invalid OAuth 2.0 Access Token |